complexType "ccmsk:AgentGroupParams"

Namespace: | http://www.iro.umontreal.ca/lecuyer/contactcenters/msk
Content: | complex, 12 attributes, 15 elements
Defined: | globally in ccmsk.xsd, see XML source
Includes: | definitions of 11 attributes and 14 elements
Used: | at 1 location

XML Representation Summary
<...
| agentsMult | = | xsd:double : "1"
| busyCost | = | xsd:double : "0"
| convertSchedulesToStaffing | = | xsd:boolean : "false"
| detailed | = | xsd:boolean
| efficiency | = | xsd:double : "1"
| idleCost | = | xsd:double : "0"
| maxAgents | = | xsd:int
| minAgents | = | xsd:int : "0"
| name | = | xsd:string
| perUseCost | = | xsd:double : "0"
| skillCount | = | xsd:int
| weight | = | xsd:double : "1"
| >
Content: | properties?, ((staffing, probAgents?) | staffingData | schedule | agent*)?, serviceTimesMult?, probDisconnect?, disconnectTime?, maxAgentsPeriod?, minAgentsPeriod?, idleCostPeriod?, busyCostPeriod?, perUseCostPeriod?, weightPeriod?
</...>

Content Elements (15):

  agent (type ccmsk:AgentParams), busyCostPeriod (type ssj:nonNegativeDoubleList), disconnectTime (type cc:MultiPeriodGenParams), idleCostPeriod (type ssj:nonNegativeDoubleList), maxAgentsPeriod (type ssj:nonNegativeIntList), minAgentsPeriod (type ssj:nonNegativeIntList), perUseCostPeriod (type ssj:nonNegativeDoubleList), probAgents (type ssj:nonNegativeDoubleList), | probDisconnect (type ssj:double01iList), properties (type ssj:PropertiesParams), schedule (type ccmsk:AgentGroupScheduleParams), serviceTimesMult (type ssj:positiveDoubleList), staffing (type ssj:nonNegativeIntList), staffingData (type ssj:IntArray), weightPeriod (type ssj:nonNegativeDoubleList)

All Direct / Indirect Based Elements (1):

  agentGroup (type ccmsk:AgentGroupParams) |

Known Usage Locations

- As direct type of elements (1):

  agentGroup (type ccmsk:AgentGroupParams) |

Annotation
Contains the parameters for an agent group in a blend/multi-skill call center. Each agent group requires a staffing or a schedule to set up the number of agents at any time during the simulation. The staffing is specified using a `staffing` element while the `schedule` element must be used for a schedule. The number of agents during each main period or assigned to each shift of a schedule is also multiplied by the product of a local factor given by the `agentsMult` attribute, and a global factor given by the attribute with the same name in `MSKCCParams,` and rounded to the nearest integer.

The name assigned assigned by the `name` attribute is used for reporting while the properties set by the `properties` element can be used by programs extending the simulator.

Type Definition Detail

Type Derivation Tree ssj:Named ccmsk:AgentGroupParams (extension)

XML Source (w/o annotations (26); see schema source)

<xsd:complexType name="AgentGroupParams"> <xsd:complexContent> <xsd:extension base="ssj:Named"> <xsd:sequence> <xsd:choice maxOccurs="1" minOccurs="0"> <xsd:sequence> <xsd:element name="staffing" type="ssj:nonNegativeIntList"> </xsd:element> <xsd:element maxOccurs="1" minOccurs="0" name="probAgents" type="ssj:nonNegativeDoubleList"> </xsd:element> </xsd:sequence> <xsd:element name="staffingData" type="ssj:IntArray"> </xsd:element> <xsd:element name="schedule" type="ccmsk:AgentGroupScheduleParams"> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="agent" type="ccmsk:AgentParams"> </xsd:element> </xsd:choice> <xsd:element maxOccurs="1" minOccurs="0" name="serviceTimesMult" type="ssj:positiveDoubleList"> </xsd:element> <xsd:element maxOccurs="1" minOccurs="0" name="probDisconnect" type="ssj:double01iList"> </xsd:element> <xsd:element maxOccurs="1" minOccurs="0" name="disconnectTime" type="cc:MultiPeriodGenParams"> </xsd:element> <xsd:element maxOccurs="1" minOccurs="0" name="maxAgentsPeriod" type="ssj:nonNegativeIntList"> </xsd:element> <xsd:element maxOccurs="1" minOccurs="0" name="minAgentsPeriod" type="ssj:nonNegativeIntList"> </xsd:element> <xsd:element maxOccurs="1" minOccurs="0" name="idleCostPeriod" type="ssj:nonNegativeDoubleList"> </xsd:element> <xsd:element maxOccurs="1" minOccurs="0" name="busyCostPeriod" type="ssj:nonNegativeDoubleList"> </xsd:element> <xsd:element maxOccurs="1" minOccurs="0" name="perUseCostPeriod" type="ssj:nonNegativeDoubleList"> </xsd:element> <xsd:element maxOccurs="1" minOccurs="0" name="weightPeriod" type="ssj:nonNegativeDoubleList"> </xsd:element> </xsd:sequence> <xsd:attribute default="1" name="weight" type="ssj:nonNegativeDouble"> </xsd:attribute> <xsd:attribute name="maxAgents" type="ssj:nonNegativeInt"> </xsd:attribute> <xsd:attribute default="0" name="minAgents" type="ssj:nonNegativeInt"> </xsd:attribute> <xsd:attribute default="0" name="idleCost" type="ssj:nonNegativeDouble"> </xsd:attribute> <xsd:attribute default="0" name="busyCost" type="ssj:nonNegativeDouble"> </xsd:attribute> <xsd:attribute default="0" name="perUseCost" type="ssj:nonNegativeDouble"> </xsd:attribute> <xsd:attribute default="1" name="efficiency" type="ssj:double01i"> </xsd:attribute> <xsd:attribute name="skillCount" type="ssj:nonNegativeInt"> </xsd:attribute> <xsd:attribute name="detailed" type="xsd:boolean"> </xsd:attribute> <xsd:attribute default="false" name="convertSchedulesToStaffing" type="xsd:boolean"> </xsd:attribute> <xsd:attribute default="1" name="agentsMult" type="ssj:nonNegativeDouble"> </xsd:attribute> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Attribute Detail (defined in this component only)
agentsMult

  Determines the local multiplier for this agent group. The number of agents during each period or during each shift, depending on how the agents are specified in this group, is multiplied by M and rounded to the nearest integer before they are used by simulation. The value of M is obtained by multiplying the local multiplier by the global agentsMult attribute. This can be used to alter the staffing of a call center without modifying the number of agents in each period or each shift manually. This parameter has no effect if individual agents are defined for this group.

  Type: | ssj:nonNegativeDouble
  Use: | optional
  Default: | "1"
  Defined: | locally, within (this) ccmsk:AgentGroupParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:attribute default="1" name="agentsMult" type="ssj:nonNegativeDouble"> </xsd:attribute>

busyCost

  Determines the cost per simulation time unit of a busy agent in this agent group.

  Type: | ssj:nonNegativeDouble
  Use: | optional
  Default: | "0"
  Defined: | locally, within (this) ccmsk:AgentGroupParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:attribute default="0" name="busyCost" type="ssj:nonNegativeDouble"> </xsd:attribute>

convertSchedulesToStaffing

  Determines if the schedules specified using the `schedule` or `agent` elements need to be converted to staffing vectors internally. This conversion is necessary if one plans to alter the staffing directly, without taking account of scheduling.

  Type: | xsd:boolean
  Use: | optional
  Default: | "false"
  Defined: | locally, within (this) ccmsk:AgentGroupParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:attribute default="false" name="convertSchedulesToStaffing" type="xsd:boolean"> </xsd:attribute>

detailed

  Determines if a detailed agent group, representing each agent by an individual entity, is needed for the simulation. If this attribute is not set, a detailed agent group is used only if agents can disconnect after service terminations, or if a `schedule` element is used. Note that setting this attribute to `false` might prevent the usage of some routing policies.

  Type: | xsd:boolean
  Use: | optional
  Defined: | locally, within (this) ccmsk:AgentGroupParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:attribute name="detailed" type="xsd:boolean"> </xsd:attribute>

efficiency

  Determines the agents' efficiency factor. This corresponds to the proportion of free agents over the total number of agents when no agent is busy. This defaults to 1, i.e., all the available agents can serve calls.

  Type: | ssj:double01i
  Use: | optional
  Default: | "1"
  Defined: | locally, within (this) ccmsk:AgentGroupParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:attribute default="1" name="efficiency" type="ssj:double01i"> </xsd:attribute>

idleCost

  Determines the cost per simulation time unit of an idle agent in this agent group.

  Type: | ssj:nonNegativeDouble
  Use: | optional
  Default: | "0"
  Defined: | locally, within (this) ccmsk:AgentGroupParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:attribute default="0" name="idleCost" type="ssj:nonNegativeDouble"> </xsd:attribute>

maxAgents

  Determines the maximal number of agents allowed in this group. This is not used during simulation, but this can be used as a constraint during optimization. If this attribute is omitted, the maximal number of agents is infinite.

  Type: | ssj:nonNegativeInt
  Use: | optional
  Defined: | locally, within (this) ccmsk:AgentGroupParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:attribute name="maxAgents" type="ssj:nonNegativeInt"> </xsd:attribute>

minAgents

  Similar to `maxNumAgents` for the minimal number of agents.

  Type: | ssj:nonNegativeInt
  Use: | optional
  Default: | "0"
  Defined: | locally, within (this) ccmsk:AgentGroupParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:attribute default="0" name="minAgents" type="ssj:nonNegativeInt"> </xsd:attribute>

perUseCost

  Determines the cost incurred each time an agent in this group starts a service.

  Type: | ssj:nonNegativeDouble
  Use: | optional
  Default: | "0"
  Defined: | locally, within (this) ccmsk:AgentGroupParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:attribute default="0" name="perUseCost" type="ssj:nonNegativeDouble"> </xsd:attribute>

skillCount

  Determines the skill count for this agent group. This corresponds to the true number of call types agents in this group can serve. A missing value indicates that the skill count should be determined by the router.

  Type: | ssj:nonNegativeInt
  Use: | optional
  Defined: | locally, within (this) ccmsk:AgentGroupParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:attribute name="skillCount" type="ssj:nonNegativeInt"> </xsd:attribute>

weight

  Determines the weight of this agent group. This weight, which measures the importance of this agent group compared to other groups, can be used by some routing policies or optimization algorithms.

  Type: | ssj:nonNegativeDouble
  Use: | optional
  Default: | "1"
  Defined: | locally, within (this) ccmsk:AgentGroupParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:attribute default="1" name="weight" type="ssj:nonNegativeDouble"> </xsd:attribute>

Content Element Detail (defined in this component only)
agent

  Specifies the individual agents composing the group, with a particular schedule and attributes for each agent. Note that by default, defining agents this way is equivalent (but more verbose) than using the `schedule` element. However, custom simulation code and future versions of the simulator may use agent-specific properties to influence service, routing, etc.

  Type: | ccmsk:AgentParams, complex content
  Defined: | locally, within (this) ccmsk:AgentGroupParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="agent" type="ccmsk:AgentParams"> </xsd:element>

busyCostPeriod

  Determines the cost of one busy agent per time unit during individual main period. If this element contains a single value, the value is used for all main periods. If this element is omitted, the busy cost for any period is the value given by the attribute `busyCost.`

  Type: | ssj:nonNegativeDoubleList, simple content
  Defined: | locally, within (this) ccmsk:AgentGroupParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:element maxOccurs="1" minOccurs="0" name="busyCostPeriod" type="ssj:nonNegativeDoubleList"> </xsd:element>

disconnectTime

  Determines the probability distribution of the time an agent remains unavailable at the end of a service if it disconnects. If this parameter is omitted, agents disconnect for a duration of 0 time units; this results in disabling this aspect of the model.

  Type: | cc:MultiPeriodGenParams, complex content
  Defined: | locally, within (this) ccmsk:AgentGroupParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:element maxOccurs="1" minOccurs="0" name="disconnectTime" type="cc:MultiPeriodGenParams"> </xsd:element>

idleCostPeriod

  Determines the cost of one idle agent per time unit during individual main period. If this element contains a single value, the value is used for all main periods. If this element is omitted, the idle cost for any period is the value given by the attribute `idleCost.`

  Type: | ssj:nonNegativeDoubleList, simple content
  Defined: | locally, within (this) ccmsk:AgentGroupParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:element maxOccurs="1" minOccurs="0" name="idleCostPeriod" type="ssj:nonNegativeDoubleList"> </xsd:element>

maxAgentsPeriod

  Determines the maximal number of agents that can be present in this group during each period. This array is not used during simulation, but it can be used to constrain the optimization. If it contains a single value, the value is used for all main periods. If it is omitted, but the maximal number of agents is required, the value stored in the attribute `maxAgents` is used.

  Type: | ssj:nonNegativeIntList, simple content
  Defined: | locally, within (this) ccmsk:AgentGroupParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:element maxOccurs="1" minOccurs="0" name="maxAgentsPeriod" type="ssj:nonNegativeIntList"> </xsd:element>

minAgentsPeriod

  Similar to `maxAgentsPeriod` for the minimal number of agents in the group.

  Type: | ssj:nonNegativeIntList, simple content
  Defined: | locally, within (this) ccmsk:AgentGroupParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:element maxOccurs="1" minOccurs="0" name="minAgentsPeriod" type="ssj:nonNegativeIntList"> </xsd:element>

perUseCostPeriod

  Determines the cost incurred when an agent in this group starts a service during individual main period. If this element contains a single value, the value is used for all main periods. If this element is omitted, the per-use cost for any period is the value given by the attribute `perUseCost.`

  Type: | ssj:nonNegativeDoubleList, simple content
  Defined: | locally, within (this) ccmsk:AgentGroupParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:element maxOccurs="1" minOccurs="0" name="perUseCostPeriod" type="ssj:nonNegativeDoubleList"> </xsd:element>

probAgents

  Determines the presence probability for each agent in the group and each main period. When this element is set, for each simulated replication, the number of agents in period `p` is a binomial random variate with parameters given by the number of agents in `staffing` and the probability in this element. The number of agents is independent for each group and period. If this element is omitted or empty, a default probability of 1 is assumed. If it contains a single element, the given probability is used for every main period. Otherwise, the element must contain one probability for each main period.

  Type: | ssj:nonNegativeDoubleList, simple content
  Defined: | locally, within (this) ccmsk:AgentGroupParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:element maxOccurs="1" minOccurs="0" name="probAgents" type="ssj:nonNegativeDoubleList"> </xsd:element>

probDisconnect

  Determines the probability that an agent of this group becomes unavailable (temporarily disconnects) for a random time after it has served a call, for each main period. This array of double-precision values must contain values in `[0, 1].` If it contains a single element, the given probability is used for all main periods. If it is not specified (the default), agents do not become temporarily unavailable after services.

  Type: | ssj:double01iList, simple content
  Defined: | locally, within (this) ccmsk:AgentGroupParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:element maxOccurs="1" minOccurs="0" name="probDisconnect" type="ssj:double01iList"> </xsd:element>

schedule

  Determines the schedule of the agents in this group. The schedule defines a set of shifts agents in this group can work on, each shift being composed of time intervals.

  Type: | ccmsk:AgentGroupScheduleParams, complex content
  Defined: | locally, within (this) ccmsk:AgentGroupParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:element name="schedule" type="ccmsk:AgentGroupScheduleParams"> </xsd:element>

serviceTimesMult

  Determines the factor multiplying the service time when an agent in this group is serving a contact of a specific type. Service time multipliers may be used to model the fact that agents are more efficient when serving some contact types, without specifying a service time distribution for each (contact type, agent group) combination.

  Note that specifying a service time for a (contact type, agent group) combination using the `group` attribute of the `serviceTime` element does not cancel the effect of service time multipliers given by this element.

  This array of K double-precision values provides a multiplier for each contact type. If the array is unspecified, service times are set to 1.

  Type: | ssj:positiveDoubleList, simple content
  Defined: | locally, within (this) ccmsk:AgentGroupParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:element maxOccurs="1" minOccurs="0" name="serviceTimesMult" type="ssj:positiveDoubleList"> </xsd:element>

staffing

  Determines the staffing vector giving the number of available agents during each main period. If this array contains a single element, the specified staffing is used for all periods. This array of positive integers defaults to an array of 0's if no schedule is given.

  Type: | ssj:nonNegativeIntList, simple content
  Defined: | locally, within (this) ccmsk:AgentGroupParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:element name="staffing" type="ssj:nonNegativeIntList"> </xsd:element>

staffingData

  Gives the staffing vector for different days assumed i.i.d. When this element is used, the number of agents in each period is a binomial random variable, and the parameters of this binomial, for each main period, are estimated using maximum likelihood. If this element is used, it must contain a $D\times P$ matrix, where $D$ is the number of observed staffing vectors, and $P$ is the number of main periods.

  Type: | ssj:IntArray, complex content
  Defined: | locally, within (this) ccmsk:AgentGroupParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:element name="staffingData" type="ssj:IntArray"> </xsd:element>

weightPeriod

  Determines the weight of this agent group during individual main period. If this element contains a single value, the value is used for all main periods. If this element is omitted, the weight for any period is the value given by the attribute `weight.`

  Type: | ssj:nonNegativeDoubleList, simple content
  Defined: | locally, within (this) ccmsk:AgentGroupParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:element maxOccurs="1" minOccurs="0" name="weightPeriod" type="ssj:nonNegativeDoubleList"> </xsd:element>

XML Schema documentation generated with DocFlex/XML (Kit) v1.6.8 DocFlex/XML (Kit) is a freeware edition of DocFlex/XML, which is a powerful template-driven documentation and report generator from any data stored in XML files. Based on an innovative technology developed by FILIGRIS WORKS, this new tool offers virtuoso data querying and formatting capabilities not found in anything else! Need to convert your XML data into a clear nice-looking documentation or reports? Web-ready hypertext HTML or printable MS Word / OpenOffice.org friendly RTF? DocFlex/XML may be a cheap, quick and effective solution exactly for this task! Have questions? Not sure how to use it? Just send us e-mail to contact@filigris.com and we are always happy to help you! See also our services at www.filigris.com